org.mariadb.jdbc.internal.query

## Interface Query

All Known Subinterfaces:
  ParameterizeQuery

All Known Implementing Classes:
  MariaDbClientParameterizeQuery, MariaDbQuery

    public interface Query

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getQuerySize()`
`void` `validate()`
`void` `writeFirstRewritePart(OutputStream os)`
`void` `writeLastRewritePart(OutputStream os)`
`int` `writeLastRewritePartLength()`
`void` `writeTo(OutputStream os)`
`void` `writeToRewritablePart(OutputStream os, int rewriteOffset)`
`int` `writeToRewritablePartLength(int rewriteOffset)`

### Method Detail

#### getQuerySize

    int getQuerySize()
              throws IOException

Throws:
  `IOException`

#### writeTo

    void writeTo(OutputStream os)
          throws IOException

Throws:
  `IOException`

#### writeLastRewritePartLength

    int writeLastRewritePartLength()

#### writeToRewritablePartLength

    int writeToRewritablePartLength(int rewriteOffset)
                             throws IOException

Throws:
  `IOException`

#### writeFirstRewritePart

    void writeFirstRewritePart(OutputStream os)
                        throws IOException

Throws:
  `IOException`

#### writeLastRewritePart

    void writeLastRewritePart(OutputStream os)
                       throws IOException

Throws:
  `IOException`

#### writeToRewritablePart

    void writeToRewritablePart(OutputStream os,
                               int rewriteOffset)
                        throws IOException

Throws:
  `IOException`

#### validate

    void validate()
           throws QueryException

Throws:
  `QueryException`